// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <dawn/dawn.h>

void timelineInit(timeline_t *timeline);
void timelineUpdate(timeline_t *timeline, float delta);
bool timelineIsFinished(timeline_t *timeline);

timelineaction_t * timelineAddAction(timeline_t *timeline, float start,
  float duration
);